## GESAudioSource GESAudioSource — Base Class for audio sources |

## Types and Values

| GESAudioSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESAudioSource
                            ├── GESAudioTestSource
                            ╰── GESAudioUriSource

## Implemented Interfaces

GESAudioSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

#### Children Properties

You can use the following children properties through the ges_track_element_set_child_property and alike set of methods:

double | volume | volume factor, 1.0=100%.
gboolean | mute | mute channel.

## Functions

## Types and Values

### GESAudioSource

    typedef struct _GESAudioSource GESAudioSource;

Base class for audio sources